Jump to content

Welcome to AppCake Forum
Register now to gain access to all of our features. Once registered and logged in, you will be able to create topics, post replies to existing threads, give reputation to your fellow members, get your own private messenger, post status updates, manage your profile and so much more. If you already have an account, login here - otherwise create an account for free today!
Photo

[How To] Edit Overcast IPA so it can be installed on iOS 8.1 (jailbreak required)

Overcast iOS Jailbreak

  • You cannot start a new topic
  • Please log in to reply
6 replies to this topic

#1
drnoone

drnoone

    Fresh Newbie

  • IC Member
  • 5 posts
    • Time Online: 5h 35m 24s
  • iDevices Owned:iPhone 6+, iPad Mini, iPad Air 2

Hello AppCake forum,

 

I'm new here. I joined because recently I have developed an obsession with podcasts, and in my search through iOS podcasting apps I found that the arguably best app, "Overcast", could not be installed on my jailbroken device because it requires iOS 8.3.

 

My first though was that I could ask someone here to look into modifying the app to be able to install in 8.1 devices. Then I realised that would make me one of those lame guys that joins a community just to ask for that one thing, which used to piss me off back when I was an admin of some fan forums (more than a decade ago now, damn). And since I'm not completely clueless about app mods, I decided to figure it out myself, and post it here as my first contribution.

 

What you'll need: 

1. the Overcast IPA: since it's a free app, you can simply download it from iTunes on your Mac or PC

2. a program that opens compressed files (WinZIP, WinRAR etc)

3. a plist editor: I used the very imaginatively named Plist Editor for Windows : http://www.download3...or-Windows.html

 

Modifications required:

1. Open Overcast 1.2.2 ipa and go to Payload > Overcast.app

2. Open info.plist with the editor and change the values of the following lines:

- Line 90: 12B411

- Line 94: 8.1

- Line 96: 12B411

- Line 98: iphoneos8.1

- Line 100: 0610

- Line 102: 6A1052d

- Line 106: 8.1

3. Upload the app in your phone and install with AppCake.

 

If everything went smoothly you are now the proud owner of a jailbroken device sporting the best podcast app for iOS.


  • hotsjf likes this

#2
Cosmicalninja

Cosmicalninja

    Cosmical

  • IC Respected Member
  • 2,405 posts
    • Time Online: 36d 5h 9m 30s
  • Twitter:cosmicaln1nja
  • Locationthe UK
  • iDevices Owned:iPod Classic, iPhone SE, iPad Mini, iPad 4, MacBook Pro
  • Most used iOS:iOS 8

Nice add to the forums, thanks



#3
alienopo

alienopo

    Quality from Space.

  • IC Uploader
  • 8,080 posts
    • Time Online: 93d 17h 33m 16s
  • iDevices Owned:N/A

It`s not only for this app. It works for most apps, but not for apps which need "soft dependencies".



#4
drnoone

drnoone

    Fresh Newbie

  • IC Member
  • 5 posts
    • Time Online: 5h 35m 24s
  • iDevices Owned:iPhone 6+, iPad Mini, iPad Air 2

Indeed, this app requires 8.3 by default only because it has an iWatch extension, so you loose nothing by changing those values, everything works perfectly.

 

By the way, I considered just uploading the modified file here but since it's a free app there is an advantage to actually have it under your own ID in the app store, will be easier to update etc.



#5
cakemaker

cakemaker

    IC L.E.G.E.N.D

  • IC Respected Member
  • 4,599 posts
    • Time Online: 8d 14h 1m 12s
  • iDevices Owned:iPhone 5, iPhone 6, iPad 2, iPad Air 2

Is there a different to other Apps by " Line 90 " ?

 

Or starts it everytime at Line 90 ?

 

 

if i want Change the iOS Version from Pixelmator , how do i search the iOS Version ?



#6
drnoone

drnoone

    Fresh Newbie

  • IC Member
  • 5 posts
    • Time Online: 5h 35m 24s
  • iDevices Owned:iPhone 6+, iPad Mini, iPad Air 2

The variables that need changing are:

 

DTPlatformBuild and DTSDKBuild (12B411),

DTPlatformVersion and DTSDKName (8.1 and iphoneos8.1 respectively),

DTXcode (0610),

DTXcodeBuild (6A1052d),
MinimumOSVersion (8.1)
 
Not sure if they are exactly the same, or at the same place, for all apps, but they should be fairly close. 

  • cakemaker likes this

#7
cakemaker

cakemaker

    IC L.E.G.E.N.D

  • IC Respected Member
  • 4,599 posts
    • Time Online: 8d 14h 1m 12s
  • iDevices Owned:iPhone 5, iPhone 6, iPad 2, iPad Air 2

ok ...  i try change the iOS requirements to Install this App on iOS 7.

 

What must be change that it can be installed.

 

i open the app and change only the ' Minimum iOS Version into 7.0 '

 

after this the app can not be installed :(

 

cdSUiNu.png

 

 

IMuWbpj.png







Also tagged with one or more of these keywords: Overcast, iOS, Jailbreak